List custom shifts
Important note: Shift-based schedules use the V3 API and are not compatible with V2 automations. To create automations for Shift-Based Schedules, you need to:
- Update your automations to use the V3 API for all new shift-based schedules
- Keep the V2 endpoint for your existing schedules
An upgrade tool for existing schedules is coming soon; your legacy schedules will keep working in the meantime. Learn more.
Retrieve custom shifts for a schedule within a time range.
since and until are required.
Returns every custom shift that overlaps the window.
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the schedule.
Query Parameters
Start of time range (ISO 8601). Can be at most 2 years in the future.
date-timeEnd of time range (ISO 8601). Can be at most 2 years and 2 weeks in the future.
date-timeIANA timezone identifier for rendering shift times. Defaults to the schedule's configured time zone.
Include shifts that extend beyond the requested time range boundaries
falseResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
Developer Agreement
Your access to and use of the PagerDuty Developer Services is governed by the PagerDuty Developer Agreement.